Subject: Re: bug#11207: configure: new option --enable-gcc-warnings

From: Paul Eggert <[email-masked]>
Date: Sat, 21 Apr 2012 14:13:45 -0700

On 04/21/2012 12:37 PM, Andreas Schwab wrote:
> $ git checkout 42881f5^; make; git checkout 42881f5; make

OK, that explains it.  I ran autogen.sh and 'configure' after
applying the patch, rather than just "make".  In general,
"make" doesn't always work after arbitrary changes to makefiles, or
changes to files that cause changes to makefiles.  The current
Emacs build procedure has heuristics that try to guess when
to work around this problem, but the heuristics didn't work
in this case.

I don't use git to maintain Emacs, but I reproduced the problem
this way:

bzr branch -r107960 trunk trunk-tmp
cd trunk-tmp
./autogen.sh
./configure
make
(cd ../trunk && bzr diff -r107960..107961) | patch -p0
make